kdevelop-pg-qt_2.2.0-1_i386.deb


Advertisement

Description

kdevelop-pg-qt - LL(1) parser generator based on Qt

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename kdevelop-pg-qt_2.2.0-1_i386.deb
Package name kdevelop-pg-qt
Package version 2.2.0
Package release 1
Package architecture i386
Package type deb
Category devel interface::graphical interface::x11 role::program uitoolkit::qt x11::application
Homepage https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
License -
Maintainer Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 522.10 KB
Installed size 1.35 MB

Alternatives

Package Version Architecture Repository
kdevelop-pg-qt_2.2.0-1_amd64.deb 2.2.0 amd64 Debian Main
kdevelop-pg-qt - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libqt5core5a >= 5.11.0~rc1
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package kdevelop-pg-qt_2.2.0-1_i386.deb
Source Package kdevelop-pg-qt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kdevelop-pg-qt deb package:
    # sudo apt-get install kdevelop-pg-qt

Files

Path
/usr/bin/kdev-pg-qt
/usr/include/kdevelop-pg-qt/kdev-pg-allocator.h
/usr/include/kdevelop-pg-qt/kdev-pg-char-sets.h
/usr/include/kdevelop-pg-qt/kdev-pg-list.h
/usr/include/kdevelop-pg-qt/kdev-pg-location-table.h
/usr/include/kdevelop-pg-qt/kdev-pg-memory-pool.h
/usr/include/kdevelop-pg-qt/kdev-pg-token-stream.h
/usr/include/kdevelop-pg-qt/kdevelop-pg-qt_version.h
/usr/lib/i386-linux-gnu/cmake/KDevelop-PG-Qt/KDevelop-PG-QtConfig.cmake
/usr/lib/i386-linux-gnu/cmake/KDevelop-PG-Qt/KDevelop-PG-QtConfigVersion.cmake
/usr/share/doc/kdevelop-pg-qt/README
/usr/share/doc/kdevelop-pg-qt/TODO
/usr/share/doc/kdevelop-pg-qt/changelog.Debian.gz
/usr/share/doc/kdevelop-pg-qt/copyright

Changelog

2019-07-09 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (2.2.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Switch Vcs-* fields to salsa.debian.org.
* Bump the debhelper compatibility to 11:
- bump the debhelper build dependency to 11~
- bump compat to 11
- remove --parallel for dh, as now done by default
* Update build dependencies according to the upstream build system:
- bump cmake to >= 3.0
- bump extra-cmake-modules to >= 5.14.0
- bump qtbase5-dev to >= 5.5.0
* Bump Standards-Version to 4.4.0, no changes required.
2017-11-17 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (2.1.0-1) unstable; urgency=medium
* Team upload.
[ Maximiliano Curia ]
* Update uploaders list as requested by MIA team (Closes: #879334)
[ Pino Toscano ]
* New upstream release.
* Simplify the watch file, switching it to https.
* Bump Standards-Version to 4.1.1, no changes required.
* Switch Homepage to https.
2016-09-20 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (2.0-2) unstable; urgency=medium
* Team upload.
* Upload to unstable.
2016-08-25 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (2.0-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Update watch file.
* Update the patches:
- upstream_fix-some-warnings: drop, backported from upstream
- fix_cmake_installation.diff: drop, fixed upstream
* Update the build dependencies following the port to Qt5:
- remove libqt4-dev
- add extra-cmake-modules, and qtbase5-dev
* Update Vcs-* fields.
* Bump Standards-Version to 3.9.8, no changes required.
* Bump the cmake build dependency to >= 2.8.12, according to the upstream
build system.
* Enable the test suite, which seems to be working fine.
2014-04-26 - Maximiliano Curia <maxy@debian.org>
kdevelop-pg-qt (1.0.0-3) unstable; urgency=medium
* Team upload.
* New upstream patch: upstream_fix-some-warnings (Closes: #733390)
2012-05-20 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (1.0.0-2) unstable; urgency=low
* Team upload. Upload to unstable.
2012-03-25 - Pino Toscano <pino@debian.org>
kdevelop-pg-qt (1.0.0-1) experimental; urgency=low
* Team upload.
* New upstream release.
[ Andreas Cord-Landwehr ]
* Remove patch fix_portability_issues.diff (applied upstream).
[ Pino Toscano ]
* Add a watch file.
* Bump Standards-Version to 3.9.3, no changes required.
* Bump debhelper build dependency and compat to 9.
* Fix the installation of the cmake config files if there is no KDE4 stuff
available (patch fix_cmake_installation.diff).
2011-06-06 - Modestas Vainius <modax@debian.org>
kdevelop-pg-qt (0.9.5-2) unstable; urgency=low
* Fix a couple of portability issues (armel, all big endian arches). This
should enable kdevelop-php to build on them (fix_portability_issues.diff).
2011-06-04 - Fathi Boudra <fabo@debian.org>
kdevelop-pg-qt (0.9.5-1) unstable; urgency=low
* Initial release. (Closes: #578240)

See Also

Package Description
kdevelop-php-l10n_5.4.2-2_all.deb localization files for KDevelop PHP plugin
kdevelop-php_5.4.2-2_i386.deb PHP plugin for KDevelop
kdevelop-python-data_5.4.2-2_all.deb Python 3 plugin for KDevelop - data files
kdevelop-python-l10n_5.4.2-2_all.deb localization files for KDevelop Python 3 plugin
kdevelop-python_5.4.2-2_i386.deb Python 3 plugin for KDevelop
kdevelop54-libs_5.4.2-2_i386.deb shared libraries for the KDevelop platform
kdevelop_5.4.2-2_i386.deb integrated development environment for C/C++ and other languages
kdevplatform-dev_5.4.2-2_all.deb transitional package for kdevelop-dev
kdevplatform-l10n_5.4.2-2_all.deb transitional package for kdevelop-l10n
kdewebdev_17.08.3+5.104_i386.deb web development apps from the official KDE release
kdf_18.04.1-1_i386.deb disk information utility
kdialog_17.08.3-2_i386.deb Dialog display utility
kdiamond_18.04.1-1_i386.deb three-in-a-row game
kdiff3-doc_1.8.01-1_all.deb documentation for kdiff3
kdiff3-qt_1.8.01-1_all.deb transistional package - QT version is replaced by KDE version 'kdiff3'
Advertisement
Advertisement